#jinja2: trim_blocks: True, lstrip_blocks: True
{{ ansible_managed | comment }}

[Unit]
Description=prometheus
Documentation=https://prometheus.io/docs/introduction/overview/
Wants=network-online.target
After=network-online.target

[Service]
Type=simple
User={{ prometheus_runas_user }}
Group={{ prometheus_runas_group }}
EnvironmentFile=/etc/default/prometheus
ExecStart=/usr/local/bin/prometheus $OPTIONS
ExecReload=/bin/kill -HUP $MAINPID
SyslogIdentifier={{ prometheus_service | regex_replace('\\.service','') }}
Restart=always

[Install]
WantedBy=multi-user.target
